'use strict'

exports.up = function (knex, Promise) {
	return knex.schema
		.createTableIfNotExists('themes', t => {
			t.string('id').primary()
			t.string('name').notNull()
			t.string('description')
			t.timestamp('created').notNull().defaultTo(knex.fn.now())
			t.timestamp('lastModified').notNull().defaultTo(knex.fn.now())
		})
}

exports.down = function (knex, Promise) {
	return knex.schema
		.dropTableIfExists('themes')
}
