'use strict'

const theme = {
	tableName: 'themes',
	data: require('../listThemes').getThemes()
}

exports.seed = function (knex, Promise) {
	return knex(theme.tableName)
		.del()
		.then(() => {
			return Promise.all(theme.data.map((value) => {
				return knex(theme.tableName).insert(value)
			}))
		})
}



